Bug 450054 - Review Request: liblinebreak - A Unicode line-breaking library
Review Request: liblinebreak - A Unicode line-breaking library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1342724
  Show dependency treegraph
 
Reported: 2008-06-04 19:16 EDT by Michel Alexandre Salim
Modified: 2016-06-17 04:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-06-04 19:16:57 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/libs/liblinebreak.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/libs/liblinebreak-0.9.6-1.fc9.src.rpm
Description:
liblinebreak is an implementation of the line breaking algorithm as
described in Unicode 5.0.0 Standard Annex 14, Revision 19, available
at http://www.unicode.org/reports/tr14/tr14-19.html

This package currently only provides a static library, and as such
should not be a runtime dependency.


(
build dependency of newer versions of fbreader, please review ASAP.
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=646642
)
Comment 1 Jason Tibbitts 2008-06-06 00:25:29 EDT
I note that the debuginfo package comes out empty; it seems that you can't
generate useful debuginfo for static libraries, so you should probably just
disable the debuginfo generation.

If you're providing static libraries and no dynamic libraries are present, the
statics can live in the -devel package but you need to provide -static so that
packages can BuildRequire: it.

Finally, I have vague unease about this package putting everything in the main
package and having that provide the extra symbols.  I think libassuan is in
pretty much the same situation, with no non-devel files; it just produces a
libassuan-devel package, and provides -static, with no main package.  (It also
has only a static library, and disables the -debuginfo package.)

I'm not saying that what you're doing is wrong; it just looks odd to me.  If you
have an example of another package which does the same thing then let me know so
I can look at the review discussion.
Comment 2 Michel Alexandre Salim 2008-06-09 15:36:31 EDT
Ah yes, providing -static is definitely a good idea. Perhaps I can just call the
package liblinebreak-devel and have it provide liblinebreak-static? If
liblinebreak in the future ships a shared library, our package name in CVS will
the be wrong...

Just checked with Toshio on #fedora-admin and he OK-ed it.
Comment 3 Michel Alexandre Salim 2008-06-09 15:47:49 EDT
Disabled empty -debuginfo package (with comment), renamed package to
liblinebreak-devel and make it Provides: liblinebreak-static = %{version}-%{release}

http://salimma.fedorapeople.org/for_review/libs/liblinebreak-devel-0.9.6-2.fc9.src.rpm
http://salimma.fedorapeople.org/for_review/libs/liblinebreak-devel.spec
Comment 4 Jason Tibbitts 2008-06-26 00:50:43 EDT
One thing to note is that you should include info about checking out the actual
version that you're packaging. Since upstream doesn't even bother to tag
anything, you should probably use -D and pass the checkout date.

You might as well remove the commented-out bits of the spec like the empty
BuildRequires: and Requires: and the scriptlets.

These are minor, though.

* source files match upstream (verified by manual comparison).
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   liblinebreak-static = 0.9.6-2.fc10
   liblinebreak-devel = 0.9.6-2.fc10
  =
   (no non-glibc dependencies)
* %check is not present; no test suite upstream.  Can't test this without 
   building something which uses it.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers OK in -devel package.
* no pkgconfig files.
* static libraries present:
   no dynamic libs present, so OK in the -devel package.
   -static provide is present.
* no libtool .la files.

APPROVED
Comment 5 Michel Alexandre Salim 2008-07-14 17:11:39 EDT
> One thing to note is that you should include info about checking out the actual
> version that you're packaging. Since upstream doesn't even bother to tag
> anything, you should probably use -D and pass the checkout date.

Will do that when committing, thanks.

New Package CVS Request
=======================
Package Name: liblinebreak
Short Description: A Unicode line-breaking library
Owners: salimma
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-07-15 18:08:02 EDT
cvs done.
Comment 7 Fedora Update System 2008-07-31 11:37:45 EDT
liblinebreak-0.9.6-0.4.20080421cvs.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-07-31 21:48:23 EDT
liblinebreak-0.9.6-0.4.20080421cvs.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liblinebreak'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6928
Comment 9 Fedora Update System 2008-09-10 02:34:38 EDT
liblinebreak-0.9.6-0.4.20080421cvs.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.